---
title: Nouvelle grappe
description: Guide d'installation d'une grappe de serveurs estampillés Deuxfleurs
published: true
date: 2022-01-09T13:29:29.710Z
tags: installation, serveur, infrastructure, réseau, sysadmin, site géographique, technique, administration
editor: markdown
dateCreated: 2021-12-28T14:33:59.088Z
---

# Création d'une nouvelle grappe

Dans ce guide, nous allons expliquer comment installer une grappe de serveurs, en vue d'un hébergement pour Deuxfleurs.

## Définitions

* _Une grappe_, c'est **un ensemble d'ordinateurs, au moins trois** pour obtenir une grappe bien solide.

	Une grappe est **gérée de façon cohérente** (avec le même système logiciel), **plus ou moins autonome** (elle ne dépend pas du reste du monde pour fournir des services web), **par une entité définie** (une personne physique ou un groupe de personnes).
  
* _L'entité administratrice_ de la grappe a **deux responsabilités** principales : **la maintenance** de la grappe, et **la protection des données hébergées**.

## Choix des ordinateurs

Héberger des services web est une tâche à la portée de la plupart des ordinateurs des 10 dernières années. Néanmoins, essayer de faire tourner correctement des applications lourdes sur une toute petite machine n'est pas une partie de plaisir. Alors, quitte à installer une nouvelle grappe, la vie sera plus agréable si ses machines disposent d'au moins :

* 4 Go de RAM
* 1 To de disque (dur ou SSD)

## Choix d'un site géographique

Dans un *site géographique*, on installe une *grappe d'ordinateurs* au sein d'un *réseau local*, qu'on connecte au cluster de Deuxfleurs.

On peut distinguer deux types de sites : 

* _Dans un centre de données_ : chaque ordinateur de la grappe appartient au même centre de données, dispose d'une adresse IP fixe qui le connecte directement à Internet. 

	Dans ce cas-ci, **l'installation et l'administration sont assez simples** (on a moins de concepts à avaler que chez un particulier).
  Par contre, **nous ne sommes pas chez nous** : le propriétaire du centre de données peut accéder aux disques, et voit ce qui passe sur le réseau. **Chiffrement du disque vivement conseillé.**
  
* _Chez un particulier_ : la grappe est reliée à Internet par une *box*, qui filtre le trafic réseau selon des règles variables. La grappe se partage l'adresse IP de la box (qui peut changer régulièrement, être en IPv4 ou en IPv6). 

	Dans ce cas de figure, **l'installation comme l'administration demandent plus de connaissances** : pour caricaturer, on doit installer et administrer la grappe **malgré le Fournisseur d'Accès Internet** (FAI), qui considère *a priori* que son abonnement ne sert pas à héberger des services web.
  
  On aura affaire à sa box (NAT, pare-feu...), au manque de garanties concernant notre adressabilité (IPv4 dynamique, IPv6 ? ...), ce qui va nous mener à devoir faire du routage. Le nœud du problème, c'est que chaque ordinateur de la grappe n'aura pas pignon sur rue (pas d'adresse IP publique et fixe par machine).
  
  Néanmoins, **on est chez nous !** Votre disque dur - qui contient les données personnelles de vos usagers chéris - est sous vos yeux, bien au chaud. Le seul curieux qui voit passer votre trafic réseau est votre FAI : *rien de nouveau sous le soleil*.
  
Dans les deux cas - grâce à [la magie des VPN](/Technique/Infra/Wireguard) - on pourra communiquer sans souci avec le reste du cluster de Deuxfleurs.
  
**À terme, chez Deuxfleurs, on compte héberger toute notre infrastructure chez des particuliers.** Mais [la route est encore longue](/Technique/Jalons/Interconnexion) avant que nous ayons assez de bonnes connexions et des ordinateurs suffisamment puissants, sans parler du système de gestion logiciel. 
Ainsi, **pour le moment, il est tout à fait acceptable d'héberger des services Deuxfleurs en centre de données** : tant qu'on en informe nos usagers et qu'on fait attention à la sécurité.

## Installation des ordinateurs

Pour chaque ordinateur de notre future grappe, nous allons avoir besoin d'en configurer le ou les disques, de les chiffrer éventuellement, et d'installer son système d'exploitation.

### Configuration des disques 

La première chose à faire, avant d'installer un système d'exploitation sur un ordinateur, c'est de configurer son ou ses disques. Souhaite-t-on de la redondance (que plusieurs disques stockent la même chose - pour ne pas tout perdre en cas de pépin), et comment veut-on partitionner ses disques ?

Référez-vous au guide [Configuration des disques](/Guide/Infra/Configuration_disques) - on vous attend ici.

### Chiffrement à froid

Une fois nos disques dûment partitionnés, on peut décider de chiffrer nos partitions (c'est même vivement conseillé en cas d'installation dans un centre de données).

Référez-vous au guide [Chiffrement à froid](/Guide/Infra/Chiffrement_froid). pour ce faire.

### Installation de NixOS

Enfin, avec les disques de notre futur serveur tout bien configurés, on peut passer à l'installation du système d'exploitation.

Dans le monde du réseau, il n'y a pas à hésiter : Linux reigne en maître. Chez Deuxfleurs, on utilise la distribution [NixOS](https://nixos.org/).

Référez-vous à notre guide d'[installation de NixOS](/Guide/Infra/Installation_NixOS) pour installer NixOS à notre sauce.

